Prices
Us Prices
GET
/
us
/
prices
Us Prices
curl --request GET \
--url https://corpus-api.onera.app/us/prices \
--header 'X-API-KEY: <api-key>'import requests
url = "https://corpus-api.onera.app/us/prices"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://corpus-api.onera.app/us/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ticker": "<string>",
"prices": [
{
"date": "2023-12-25",
"knowledge_time": "2023-11-07T05:31:56Z",
"open": 123,
"high": 123,
"low": 123,
"close": 123,
"volume": 123,
"adjusted_close": 123
}
],
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"next_offset": 123,
"as_of": "2023-11-07T05:31:56Z",
"normalization_version": "<string>",
"provenance": {}
}
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}Authorizations
Provisioned Corpus API key with the required jurisdiction and operation scopes.
Query Parameters
Required range:
1 <= x <= 10000⌘I
Us Prices
curl --request GET \
--url https://corpus-api.onera.app/us/prices \
--header 'X-API-KEY: <api-key>'import requests
url = "https://corpus-api.onera.app/us/prices"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://corpus-api.onera.app/us/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ticker": "<string>",
"prices": [
{
"date": "2023-12-25",
"knowledge_time": "2023-11-07T05:31:56Z",
"open": 123,
"high": 123,
"low": 123,
"close": 123,
"volume": 123,
"adjusted_close": 123
}
],
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"next_offset": 123,
"as_of": "2023-11-07T05:31:56Z",
"normalization_version": "<string>",
"provenance": {}
}
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>"
}